import subprocess

def print_env_info():
    try:
        nvcc = subprocess.check_output(["nvcc", "--version"]).decode()
        print("System CUDA version from nvcc:")
        print(nvcc.split("release ")[1].split(",")[0])
    except Exception as e:
        print(f"Could not get nvcc version: {e}")

if __name__ == "__main__":
    print_env_info()